Subject: Re: [TOOLS-DEVELOPMENT] Fyi example repo using xml2rfc cgi

From: Lou Berger <[email-masked]>
Date: Fri, 6 Oct 2017 13:25:56 -0400

Hi Tony,(anyone)

    I did a bit more to address reuse as the core makefile/repo is now
being used on a bunch of drafts.  I've added travis ci support for
drafts with yang models too. 

Check out: https://github.com/louberger/xml-internet-draft-sample

a more complex draft can be found in https://github.com/louberger/ttesting

Lou

On 7/31/2017 1:52 PM, HANSEN, TONY L wrote:
> It’ll be interesting seeing what you come up with for CI. I’m particularly interested on having an eye on it towards reuse.
>
> 	Tony
>
> On 7/31/17, 1:03 PM, "Lou Berger" <[email-masked]> wrote:
>
>     This is great! Thank you.
>     
>     Now I'll have to automate checks as part of ci...
>     
>     Lou
>     
>     
>     On July 31, 2017 12:09:57 PM "HANSEN, TONY L" <[email-masked]> wrote:
>     
>     > :)
>     >
>     > For those copying the URLs below, instead of this:
>     >
>     > https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_idnits-3Furl-3Dhttps-3A__xml2rfc.tools.ietf.org_cgi-2Dbin_xml2rfc-2Ddev.cgi-3Furl-3Dhttps-3A__raw.githubusercontent.com_ietf-2Drtg-2Darea-2Dyang-2Darch-2Ddt_meta-2Dmodel_master_logical-2Dnetwork-2Delement_draft-2Dietf-2Drtgwg-2Dlne-2Dmodel.xml-26modeAsFormat-3Dascii&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=hOxZsFWl-FxWFgkUsBHVdrMwb5VYk7o662f_Gi0u3cc&s=1VxgfkpC57NdUoZdM488jKmeUmQTJKS9IwCZVtNuzb4&e= 
>     >
>     > you should use this:
>     >
>     > https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_idnits-3Furl-3Dhttps-3A__xml2rfc.tools.ietf.org_cgi-2Dbin_xml2rfc.cgi-3Furl-3Dhttps-3A__raw.githubusercontent.com_ietf-2Drtg-2Darea-2Dyang-2Darch-2Ddt_meta-2Dmodel_master_logical-2Dnetwork-2Delement_draft-2Dietf-2Drtgwg-2Dlne-2Dmodel.xml-26modeAsFormat-3Dascii&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=hOxZsFWl-FxWFgkUsBHVdrMwb5VYk7o662f_Gi0u3cc&s=nPdoOL7br7spMxa1G27CadbyOVkxofQBxdaMbp4tI5s&e= 
>     >
>     > (note the “-dev” was deleted)
>     >
>     > 	Tony
>     >
>     > On 7/31/17, 12:02 PM, "Henrik Levkowetz" <[email-masked]> wrote:
>     >
>     >     Nice! :-)
>     >
>     >     	Henrik
>     >
>     >     On 2017-07-31 17:58, HANSEN, TONY L wrote:
>     >     > Thank you, Henrik.
>     >     >
>     >     > I successfully tested the new idnits with the dev version of xml2rfc.cgi. 
>     >     So I pushed the necessary changes out to the xml2rfc.cgi as well.
>     >     >
>     >     > So this works now:
>     >     >
>     >     > 
>     >     https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_idnits-3Furl-3Dhttps-3A__xml2rfc.tools.ietf.org_cgi-2Dbin_xml2rfc-2Ddev.cgi-3Furl-3Dhttps-3A__raw.githubusercontent.com_ietf-2Drtg-2Darea-2Dyang-2Darch-2Ddt_meta-2Dmodel_master_logical-2Dnetwork-2Delement_draft-2Dietf-2Drtgwg-2Dlne-2Dmodel.xml-26modeAsFormat-3Dascii&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=hOxZsFWl-FxWFgkUsBHVdrMwb5VYk7o662f_Gi0u3cc&s=1VxgfkpC57NdUoZdM488jKmeUmQTJKS9IwCZVtNuzb4&e= 
>     >     >
>     >     > As does this shorter call:
>     >     >
>     >     > 
>     >     https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_idnits-3Furl-3Dhttps-3A__xml2rfc.tools.ietf.org_cgi-2Dbin_github2text_ietf-2Drtg-2Darea-2Dyang-2Darch-2Ddt_meta-2Dmodel_master_logical-2Dnetwork-2Delement_draft-2Dietf-2Drtgwg-2Dlne-2Dmodel.xml&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=hOxZsFWl-FxWFgkUsBHVdrMwb5VYk7o662f_Gi0u3cc&s=d7QFknn1jl4tGSJcp7Wmouzm0-eiQ3N9rzKu1qxKZmE&e= 
>     >     >
>     >     > 	Tony
>     >     >
>     >     > On 7/31/17, 10:42 AM, "Henrik Levkowetz" <[email-masked]> wrote:
>     >     >
>     >     >     Hi Tony,
>     >     >
>     >     >     Lou just poked me on this; sorry for loosing track of it.
>     >     >
>     >     >     Inline:
>     >     >
>     >     >     On 2017-07-21 15:58, HANSEN, TONY L wrote:
>     >     >     > On 7/21/17, 3:50 AM, "Lou Berger" <[email-masked]> wrote:
>     >     >     >
>     >     >     >     Hi Tony,
>     >     >     >     	I did think of one thing that would be good to improve related 
>     >     to this:
>     >     >     >     the ability to pass the results of web xml2rfc to idnits
>     >     >     >
>     >     >     >     for example, the following doesn't work:
>     >     >     >
>     >     >     >     
>     >     https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_idnits-3Furl-3Dhttps-3A__xml2rfc.tools.ietf.org_cgi-2Dbin_xml2rfc.cgi-3Furl-3Dhttps-3A__raw.githubusercontent.com_ietf-2Drtg-2Darea-2Dyang-2Darch-2Ddt_meta-2Dmodel_master_logical-2Dnetwork-2Delement_draft-2Dietf-2Drtgwg-2Dlne-2Dmodel.xml-26modeAsFormat-3Dascii&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=hOxZsFWl-FxWFgkUsBHVdrMwb5VYk7o662f_Gi0u3cc&s=nPdoOL7br7spMxa1G27CadbyOVkxofQBxdaMbp4tI5s&e= 
>     >     >     >
>     >     >     >     Lou
>     >     >     >
>     >     >     >
>     >     >     > This is an integration problem between web xml2rfc and idnits. 
>     >     Idnits returns the following error:
>     >     >     >
>     >     >     >        Unexpected file name
>     >     >     >
>     >     >     >        The uploaded file didn't have the expected .txt extenstion.
>     >     >     >
>     >     >     >
>     >     >     > Henrik, these are the headers that are returned from xml2rfc:
>     >     >     >
>     >     >     > 	HTTP/1.1 200 OK
>     >     >     > 	Date: Fri, 21 Jul 2017 13:22:03 GMT
>     >     >     > 	Server: Apache/2.2.22 (Debian)
>     >     >     > 	Vary: Accept-Encoding
>     >     >     > 	Transfer-Encoding: chunked
>     >     >     > 	Content-Type: text/plain; charset=ISO-8859-1
>     >     >     >
>     >     >     > I then modified xml2rfc-dev.cgi to generate this additional header:
>     >     >     >
>     >     >     > 	Content-Disposition: inline; filename="url.txt"
>     >     >     >
>     >     >     > But it made no difference.
>     >     >
>     >     >     I've added support for a filename being provided with the 
>     >     Content-Disposition
>     >     >     header field; this should work now.
>     >     >
>     >     >     > What in particular is idnits looking for?
>     >     >
>     >     >     Simply the extension to which the uploaded file was saved, which was 
>     >     taken
>     >     >     from the upload form name, or the url directly, earlier.
>     >     >
>     >     >
>     >     >     Best regards,
>     >     >
>     >     >     	Henrik
>     >     >
>     >     >
>     >     >     > 	Tony
>     >     >     >
>     >     >     > _______________________________________________
>     >     >     > TOOLS-DEVELOPMENT mailing list
>     >     >     > [email-masked]
>     >     >     > https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_tools-2Ddevelopment&d=DwIDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=hOxZsFWl-FxWFgkUsBHVdrMwb5VYk7o662f_Gi0u3cc&s=ulDT5puwELnP0Ha9sKrP3MFwXpqZRSwH8NL519otzek&e= 
>     >     >     >
>     >     >
>     >     >
>     >     >
>     >
>     >
>     >
>     
>     
>     
>